io.vertx.sqlclient

## Interface Transaction

-     public interface Transaction

  A transaction.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Future<Void>` | `commit()` Commit the current transaction.
    `void` | `commit(Handler<AsyncResult<Void>> handler)` Like `commit()` with an handler to be notified when the transaction commit has completed
    `Future<Void>` | `completion()` Return the transaction completion `Future` that succeeds when the transaction commits and fails with `TransactionRollbackException` when the transaction rolls back.
    `void` | `completion(Handler<AsyncResult<Void>> handler)` Like `completion()` but with a callback
    `Future<Void>` | `rollback()` Rollback the transaction and release the associated resources.
    `void` | `rollback(Handler<AsyncResult<Void>> handler)` Like `rollback()` with an handler to be notified when the transaction rollback has completed

- - ### Method Detail

    - #### commit

          Future<Void> commit()

      Commit the current transaction.

    - #### commit

          void commit(Handler<AsyncResult<Void>> handler)

      Like `commit()` with an handler to be notified when the transaction commit has completed

    - #### rollback

          Future<Void> rollback()

      Rollback the transaction and release the associated resources.

    - #### rollback

          void rollback(Handler<AsyncResult<Void>> handler)

      Like `rollback()` with an handler to be notified when the transaction rollback has completed

    - #### completion

          void completion(Handler<AsyncResult<Void>> handler)

      Like `completion()` but with a callback

    - #### completion

          Future<Void> completion()

      Return the transaction completion `Future` that succeeds when the transaction commits and fails with `TransactionRollbackException` when the transaction rolls back.
      Returns:
        the transaction result

Copyright © 2025 Eclipse. All rights reserved.